Subject: [dns-privacy] I-D Action: draft-ietf-dprive-bcp-op-05.txt

From: [email-masked]
Date: Thu, 31 Oct 2019 06:10:16 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the DNS PRIVate Exchange WG of the IETF.

        Title           : Recommendations for DNS Privacy Service Operators
        Authors         : Sara Dickinson
                          Benno J. Overeinder
                          Roland M. van Rijswijk-Deij
                          Allison Mankin
	Filename        : draft-ietf-dprive-bcp-op-05.txt
	Pages           : 40
	Date            : 2019-10-31

Abstract:
   This document presents operational, policy and security
   considerations for DNS recursive resolver operators who choose to
   offer DNS Privacy services.  With these recommendations, the operator
   can make deliberate decisions regarding which services to provide,
   and how the decisions and alternatives impact the privacy of users.

   This document also presents a framework to assist writers of a DNS
   Recursive Operator Privacy Statement (analogous to DNS Security
   Extensions (DNSSEC) Policies and DNSSEC Practice Statements described
   in RFC6841).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dprive-bcp-op/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-dprive-bcp-op-05
https://datatracker.ietf.org/doc/html/draft-ietf-dprive-bcp-op-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dprive-bcp-op-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Sara Dickinson <[email-masked]>
Date: Thu, 31 Oct 2019 13:12:36 +0000

Hi All, 

Following the DPRIVE interim meeting earlier this week I’ve done an update to the draft with two main changes:

1) I have remove the text around consent that did not have consensus i.e. paragraph 2 in section 5.3.3 and Item 6 in the DROP Practice statement (and in the example). I believe the chairs will follow up with a request to the list to gain consensus on what text (if any) can be agreed on wrt this topic based on the options discussed in the interim. 

2) I hope that all the other comments raised on the list during WGLC are now also addresses in this version. If I’ve missed anything please let me know.

Best regards

Sara. 

> On 31 Oct 2019, at 13:10, [email-masked] wrote:
> 
> 
> _______________________________________________
> dns-privacy mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dns-privacy

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 31 Oct 2019 13:15:54 +0000

Hiya,

On 31/10/2019 13:12, Sara Dickinson wrote:
> Hi All,
> 
> Following the DPRIVE interim meeting earlier this week I’ve done an
> update to the draft with two main changes:
> 
> 1) I have remove the text around consent that did not have consensus
> i.e. paragraph 2 in section 5.3.3 and Item 6 in the DROP Practice
> statement (and in the example). I believe the chairs will follow up
> with a request to the list to gain consensus on what text (if any)
> can be agreed on wrt this topic based on the options discussed in the
> interim.

I had a look at the diff and -05 certainly resolves my
comments on this topic.

Thanks,
S.

> 
> 2) I hope that all the other comments raised on the list during WGLC
> are now also addresses in this version. If I’ve missed anything
> please let me know.
> 
> Best regards
> 
> Sara.
> 
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories. This draft is a work item of the DNS PRIVate Exchange
>> WG of the IETF.
>> 
>> Title           : Recommendations for DNS Privacy Service
>> Operators Authors         : Sara Dickinson Benno J. Overeinder 
>> Roland M. van Rijswijk-Deij Allison Mankin Filename        :
>> draft-ietf-dprive-bcp-op-05.txt Pages           : 40 Date
>> : 2019-10-31
>> 
>> Abstract: This document presents operational, policy and security 
>> offer DNS Privacy services.  With these recommendations, the
>> operator can make deliberate decisions regarding which services to
>> provide, and how the decisions and alternatives impact the privacy
>> of users.
>> 
>> Extensions (DNSSEC) Policies and DNSSEC Practice Statements
>> described in RFC6841).
>> 
>> 
>> Please note that it may take a couple of minutes from the time of
>> submission until the htmlized version and diff are available at
>> tools.ietf.org.
>> 
>> _______________________________________________ dns-privacy mailing
>> list [email-masked] 
> _______________________________________________ dns-privacy mailing
> list [email-masked]

---

From: Tim Wicinski <[email-masked]>
Date: Thu, 31 Oct 2019 11:20:16 -0400

Thanks Stephen

(Follow up on this in another email)